// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of whiteboard_core;

class RoomWebWBBase<T> {
  final String action;
  T? param;

  RoomWebWBBase({required this.action, this.param});

  RoomWebWBBase.fromJson(Map<String, dynamic> json)
      : action = json['action'] as String {
    param = json['param'] as T?;
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['action'] = action;
    data['param'] = param;
    return data;
  }

  @override
  String toString() {
    return 'RoomWebWBBase{action: $action, param: $param}';
  }
}
