// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of whiteboard_core;

class RoomWBEnableDraw {
  late bool _enable;

  RoomWBEnableDraw({required bool enable}) {
    _enable = enable;
  }

  bool get enable => _enable;

  set enable(bool enable) => _enable = enable;

  RoomWBEnableDraw.fromJson(Map<String, dynamic> json) {
    _enable = (json['enable'] ?? false) as bool;
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['enable'] = _enable;
    return data;
  }
}