// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of whiteboard_core;

class ContainerOptions {
  String? position;
  List<Items?>? items;

  ContainerOptions({required this.position, required this.items});

  // ContainerOptions.fromJson(Map<String, dynamic> json) {
  //   if (json['position'] != null) {
  //     position = json['position'] as String;
  //   }
  //   if (json['items'] != null) {
  //     items = json['items'] as List<Items?>;
  //   }
  //
  //   if (items != null) {
  //     items!.forEach((v) {
  //       if (v != null) {
  //         items!.add(Items.fromJson(v as Map<String, dynamic>));
  //       }
  //     });
  //   }
  // }

  Map<String, dynamic> toJson() => {
        'position': position,
        if (items != null) 'items': items!.map((e) => e!.toJson()).toList()
      };
}

class Items {
  final String? tool;
  final String? hint;
  final String? stack;
  final String? previewSliderPosition;
  final List<SubItems?>? subItems;

  const Items({
    required this.tool,
    this.hint,
    this.previewSliderPosition,
    this.stack,
    this.subItems,
  });

  // Items.fromJson(Map<String, dynamic> json) {
  //   if (json['tool'] != null) tool = json['tool'] as String;
  //   if (json['hint'] != null) hint = json['hint'] as String;
  //   if (json['stack'] != null) stack = json['stack'] as String;
  //   if (json['previewSliderPosition'] != null) stack = json['previewSliderPosition'] as String;
  //
  //   if (json['subItems'] != null) {
  //     subItems = json['subItems'] as List<SubItems?>?;
  //     subItems!.forEach((v) {
  //       subItems!.add(SubItems.fromJson(v as Map<String, String?>?));
  //     });
  //   }
  // }

  Map<String, dynamic> toJson() => {
    if (tool != null) 'tool' : tool,
    if (hint != null) 'hint' : hint,
    if (stack != null) 'stack' : stack,
    if (previewSliderPosition != null) 'previewSliderPosition' : previewSliderPosition,
    if (subItems != null) 'subItems': subItems!.map((e) => e!.toJson()).toList()
  };

  @override
  String toString() {
    return 'Items{tool: $tool, hint: $hint, stack: $stack, previewSliderPosition: $previewSliderPosition, subItems: $subItems}';
  }
}

class SubItems {
  final String? tool;

  const SubItems({required this.tool});

  // SubItems.fromJson(Map<String, String?>? json) {
  //   if (json != null && json['tool'] != null) {
  //     tool = json['tool'] as String;
  //   }
  // }

  Map<String, dynamic> toJson() =>{
    if (tool != null) 'tool': tool,
  };

  @override
  String toString() {
    return 'SubItems{tool: $tool}';
  }
}
